import pkgutil

from rollbot import get_command_config, CommandConfiguration

import commands.curse, commands.hangguy, commands.omen, commands.plex, commands.poll, commands.querying, commands.roll, commands.rollcoin, commands.session, commands.seychelles, commands.simple, commands.tarot, commands.teamspeak, commands.yell

__all__ = ["config"]
config = get_command_config().extend(
    CommandConfiguration(
        call_and_response={
            "info": "Hello!\nI am Rollbot 4.0 - a simple chatbot built in Python.\nI am licensed as open source under the MIT license.",
            "thanks": "You're welcome!",
            "guess": "Rollbot's back - tell a friend!",
            "unmeme": "get a job",
            "issues": "https://gogs.hiram.services/kirkleon/rollbot4/issues",
            "repo": "https://gogs.hiram.services/kirkleon/rollbot4/",
            "bump": "Bumping the chat!\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\nAll done!",
            "vore": "What? No",
            "break": "I'm too robust for that!",
            "rampart": "Hey guys can we please keep the topic to Rampart?",
            "panic": "https://imgur.com/PjAtZDp",
            "ah": "https://i.groupme.com/810x677.jpeg.8399fce5295f4116b152f7daa474353a.large",
            "sir": "https://i.groupme.com/368x475.png.01b9aa943ce040ebb4a893aae3d266f8.large",
            "groupme": "All your friends are right here, Neil!",
            "ta": "Ivan is a TA!",
        },
        aliases={
            "speemteek": "speamteek",
            "speemteak": "speamteek",
            "speamteak": "speamteek",
            "interpret": "inspire",
            "horoscope": "inspire",
            "lomg": "bump",
            "mute": "bump",
            "fs": "f",
            "hg": "hangguy",
            "cookie": "fortune",
            "wl": "watchlist",
            "choose": "choice",
            "omens": "omen",
            "pollhearts": "poll",
            "bubble": "bubblewrap",
        },
    )
)
